claw::meta::same_type< T, U > Struct Template Reference

This predicate tells if two types are the sames. More...

`#include <same_type.hpp>`

## Public Types

enum | { result = false }

## Detailed Description

template<typename T, typename U>
struct claw::meta::same_type< T, U >

This predicate tells if two types are the sames.

Template parameters

- T, U The types to compare.

The result can be retrieved via the same_type::result value.

Author
  Julien Jorge

Definition at line 48 of file same_type.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename T, typename U>

anonymous enum

Definition at line 50 of file same_type.hpp.

The documentation for this struct was generated from the following file:

- meta/same_type.hpp